# Class CredentialPluginLoader

java.lang.Object
org.mariadb.jdbc.credential.CredentialPluginLoader

public class CredentialPluginLoader extends Object
Provider to handle plugin authentication. This can allow library users to override our default Authentication provider.

## Constructor Summary

Constructors
Constructor
Description
`CredentialPluginLoader()`

## Method Summary

Modifier and Type
Method
Description
`static CredentialPlugin`
`get(String type)`
Get current Identity plugin according to option `identityType`.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CredentialPluginLoader

public CredentialPluginLoader()

## Method Details

### get

public static CredentialPlugin get(String type) throws SQLException
Get current Identity plugin according to option `identityType`.

Parameters:
  `type` - identity plugin type
Returns:
  identity plugin
Throws:
  `SQLException` - if no identity plugin found with this type is in classpath